%define Werror_cflags %nil

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Print dialog and printer manager for Xfce
Name:		xfprint
Version:	4.6.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfconf-devel >= %{version}
BuildRequires:	a2ps
Buildrequires:	cups-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	a2ps
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The printing helper is a graphical frontend for printing,
a printer management, and a job queue management. It doesn't
let you configure printers but only use printing systems that
have already been configured properly.

%package -n %{libname}
Summary:	Libraries for the Xfce Printer Manager
Group:		Graphical desktop/Xfce

%description -n %{libname}
Libraries for the Xfce Printer Manager.

%package -n %{develname}
Summary:	Libraries and header files for the Xfce Printer Manager
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%mklibname %{name} 0 -d
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
Libraries and header files for the Xfce Printer Manager.

%prep
%setup -q

%configure2_5x \
	--disable-letter \
	--enable-cups \
	--disable-static

%install
rm -rf %{buildroot}
%makeinstall_std

# disable rpath
chrpath -d %{buildroot}/%{_libdir}/xfce4/xfprint-plugins/*.so

%find_lang %{name}

desktop-file-install \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*
%{_datadir}/xfce4/doc/*
%{_datadir}/gtk-doc/html/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/xfprint-1.0.pc
%{_libdir}/libxfprint.*a
%{_libdir}/libxfprint.so
%dir %{_includedir}/xfce4/libxfprint
%{_includedir}/xfce4/libxfprint/*


%changelog
* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349261
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345706
- New upstream release

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333952
- update to new version 4.5.99.1
- use versionate buildrequires on xfconf-devel

* Thu Jan 15 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329688
- update to new version 4.5.93
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 303497
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 4.5.91-2mdv2009.1
+ Revision: 302196
- rebuilt against new libxcb

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294764
- Xfce4.6 beta1 is landing on cooker
- tune up buildrequires

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.4.2-4mdv2009.0
+ Revision: 269798
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2009.0
+ Revision: 194469
- do not package COPYING ile

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 157760
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109976
- New release 4.4.2

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.0
+ Revision: 71321
- new devel library policy
- fix provides

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 71241
- remove X-MandrivaLinux from desktop file
- update description

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32889
- drop __libtoolize
- tune up desktop file
- enable cups
- use macros in %%post and %%postun
- spec file clean

* Mon Apr 23 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 17607
- New release 4.4.1


* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 4.4.0-2mdv2007.0
+ Revision: 116264
- fix script errors

* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112329
- New release 4.4.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 96249
- Fix specs file
- New release 4.3.99.2
- Import xfprint

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sun Jul 09 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.1-2mdv2007.0
- rebuild

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r20246.1mdk
- svn r20246
- add libpackages

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.r19739.1mdk
- 4.3.0 from svn r19739
- don't run libtoolize
- disable rpath

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Mon Jan 09 2006 Marcel Pol <mpol@mandriva.org> 4.2.2-3mdk
- rebuild for new cups and gnutls (instead of openssl)

* Thu Jun 02 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- buildrequires cups-common for lpr

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- requires desktop-common-data
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final
- add desktop files

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires xfce-mcs-manager-devel

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- drop libpackages, update filelist
- buildrequires cups-devel

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

